<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use Illuminate\Validation\Validator;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('home');
    }


    /**
     * Shoply tariffs page
     *
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function tariffs()
    {
        return view('pages.tarifs.index');
    }

    public function terms()
    {
        return view('pages.terms');
    }


    public function sendMail(Request $request)
    {
//        $request->validate([
//            'captcha' => 'require|captcha',
//        ], ['captcha.captcha' => 'Неверный защитный код...']);
//
//        dd($request->all());

        $name = $request->get('name');
        $lastname = $request->get('lastname');
        $email = $request->get('email');
        $phone = $request->get('phone');
        $message = $request->get('message');


        $to_name = $name . ' ' . $lastname;
        $to_email = $email;
        $data = array('mes' => $message . ' | ' . $phone);
        Mail::send('emails_contact', $data, function ($message) use ($to_name, $to_email) {
            $message->to('info@fazoshop.us', $to_name)
                ->subject('Fazo Cargo');
            $message->from($to_email, $to_name);
        });

        return redirect(url('/'));
    }

    public function sendMailGet()
    {
        return captcha_img();
    }
}
